import pyglet
import cocos
from cocos.menu import *
from cocos.layer import *
import simulation

class ItemChooser(Menu):
    def __init__( self, gameState):
        super( ItemChooser, self ).__init__("Choose an Item" )
        self.playfield = gameState.playfield
        self.oldMan = gameState.OldMan
        self.menu_valign = CENTER
        self.menu_halign = CENTER
        items =   [
            ( MenuItem('Plant bush', self.item_placer(simulation.bush_obj, 'bush') ) ),
            ( MenuItem('Plant flowerbed', self.item_placer(simulation.flowerbed_obj, 'plant flowerbed') ) ),
        ]
        
        self.create_menu( items, None, None)
        
    def item_placer(self, class_to_place, message):
        def place_item():
            targetCell = self.oldMan.current_cell
            if not simulation.obj_type_allowed_in_cell(class_to_place, targetCell):
                self.close()
            else:
                obj = class_to_place(targetCell)
                targetCell.add_object(obj)
                self.playfield.objects.append(obj)
                self.close()
            
        return place_item

    def on_quit(self):
        self.close()
        
    def close(self):
        cocos.director.director.pop()