import pyglet
import cocos
import simulation
from menulayers import *
from gameview import *
from pyglet.window import key


class Menu( object ):
    def __init__(self):
        super(Menu, self)
        mainMenuItems =  [
            ( MenuItem('Game', self.on_new_game ) ), 
            ( MenuItem('Options', self.on_options ) ),
            ( MenuItem('Quit', self.on_quit ) ),
        ]
        
        self.mainMenu = cocos.scene.Scene (MainMenuLayer(mainMenuItems))
        self.optionsMenu = cocos.scene.Scene(OptionsMenuLayer())
        
        gameState = simulation.GameState()
        gameState.create_playfield()
        gameView = MainGameViewLayer(gameState)
        self.gameView = cocos.scene.Scene(gameView)

    def MainMenuScene( self ):
        return self.mainMenu 

    def on_new_game( self ):
        cocos.director.director.push(self.gameView)
    
    def on_options( self ):
        cocos.director.director.push(self.optionsMenu)
    
    def on_quit( self ):
        pyglet.app.exit()
